import { Component } from 'react';
import { ListItemProps as NextListItemProps } from '@alifd/next/types/list';
import { ListProps as NextListProps } from '@alifd/next/types/list';
interface ListProps extends Omit<NextListProps, 'size'> {
    size?: 'small' | 'medium' | 'large';
}
interface ListItemAddProps {
    avatarImg?: string;
    updateTime?: string;
}
interface ListItemProps extends NextListItemProps, ListItemAddProps {
}
declare class ListItem extends Component<ListItemProps> {
    render(): JSX.Element;
}
declare class List extends Component<ListProps> {
    static Item: typeof ListItem;
    render(): JSX.Element;
}
declare const _default: typeof List;
export default _default;
